# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "tari_ootle_template_metadata"
version = "0.4.0"
authors = ["The Tari Development Community"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Template metadata types, serialization, and hashing for Tari Ootle templates"
readme = "README.md"
license = "BSD-3-Clause"
repository = "https://github.com/tari-project/tari-ootle"
resolver = "2"

[features]
borsh = ["dep:borsh"]
default = []
json = ["dep:serde_json"]

[lib]
name = "tari_ootle_template_metadata"
path = "src/lib.rs"

[dependencies.borsh]
version = "1.6"
optional = true
default-features = false

[dependencies.cargo_toml]
version = "0.22"

[dependencies.hex]
version = "0.4"

[dependencies.multihash]
version = "0.19"

[dependencies.serde]
version = "1.0"
features = ["derive"]
default-features = false

[dependencies.serde_json]
version = "1.0"
optional = true

[dependencies.sha2]
version = "0.10.8"

[dependencies.tari_bor]
version = "0.13"
features = ["std"]
default-features = false

[dependencies.thiserror]
version = "2.0.17"

[dev-dependencies.serde_json]
version = "1.0"

[dev-dependencies.tempfile]
version = "3.3.0"
